### Method

# GUsb Context get_main_context

since: 0.2.5

#### Declaration

    GMainContext*
    g_usb_context_get_main_context (
      GUsbContext* self
    )

#### Description

Gets the internal GMainContext to use for synchronous methods. By default the value is set to the value of `g_main_context_default()`

Available since: 0.2.5

#### Return value

Type: `GMainContext`

The `GMainContext`.

The data is owned by the instance.